package com.slibra.business.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
//通话记录统计相关的bean
public class CallRecordCount {

    //累计电话量
    private int total;


    //------传统客服------
    //电话量
    private int humanTotal;

    //总量占比
    private Double humanPercent;


    //------AI客服开始------
    //------白名单直呼------
    //电话量
    private int whiteListTotal;

    //总量占比
    private Double whiteListPercent;


    //------AI机器人------
    //电话量
    private int aiTotal;

    //总量占比
    private Double aiPercent;

    //------传统服务------
    //电话量
    private int traditionTotal;

    //总量占比
    private Double traditionPercent;

    //12345转入次数
    private int specialCount;

    //转人工次数
    private int transferCount;
    //------AI客服结束------

    //------人工客服状态开始------
    //登录总数
    private int totalPerson;

    //置闲数
    private int idlePerson;

    //置忙数
    private int busyPerson;

    //通话中数
    private int onlinePerson;

    //拨号中数
    private int dialPerson;

    //累计通话
    private int personCount;

    //累计通话时长
    private long personTotal;
    //------人工客服状态结束------


    //------机器人客服状态开始------
    //在线
    private int robotOnLineCount = 8;

    //异常
    private int robotExceptionCount = 0;

    //转人工
    private int robotTransfer;

    //累计通话
    private int robotCount;

    //累计通话时长
    private long robotTotal;

    //------机器人客服状态结束------
}

